# List contents (deprecated)

Gets a nested list of all Home objects shared to the user, including 
dashboards, folders, reports, sheets, and templates, as shown on the "Home"
tab.

DEPRECATED - This endpoint is being removed. To adapt to this change, please see Migrate from using the Sheets folder.

Endpoint: GET /folders/personal
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Query parameters:

  - `include` (string)
    A comma-separated list of optional elements to include in the response:
  * source - adds the Source object indicating which object the folder was created from, if any
  * distributionLink
  * ownerInfo Returns the user with owner permissions, or the user with admin permissions if there is no owner assigned. If no owner or admins are assigned, the Plan Asset Admin is returned. If no Plan Asset Admin is assigned, the System Admin is returned.
  * sheetVersion
  * permalinks
    Enum: "source", "distributionLink", "ownerInfo", "sheetVersion"

## Response 200 fields (application/json):

  - `folders` (array)

  - `folders.id` (number)
    Folder ID.

  - `folders.folders` (array)
    Folders contained in folder.

  - `folders.name` (string)
    Folder name.

  - `folders.permalink` (string)
    URL that represents a direct link to the folder in Smartsheet.

  - `folders.reports` (array)
    Reports contained in folder.

  - `folders.reports.id` (number)
    Asset ID.

  - `folders.reports.name` (string)
    Asset name.

  - `folders.reports.permalink` (string)
    URL that represents a direct link to the asset in Smartsheet.

  - `folders.sheets` (array)
    Sheets contained in folder.

  - `folders.sights` (array)
    Dashboards contained in folder.

  - `folders.sights.id` (number)
    Asset ID.

  - `folders.sights.name` (string)
    Asset name.

  - `folders.sights.permalink` (string)
    URL that represents a direct link to the asset in Smartsheet.

  - `folders.sights.createdAt` (any)

  - `folders.sights.modifiedAt` (any)

  - `folders.templates` (array)
    Templates contained in folder.

  - `folders.favorite` (boolean)
    Deprecated Returned only if the user has marked the folder as a favorite in their "Home" tab (value = true).

  - `reports` (array)

  - `reports.id` (number)
    The report's unique identifier.

  - `reports.name` (string)
    The report's name.

  - `reports.totalRowCount` (integer)
    The number of rows in the report.

  - `reports.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `reports.effectiveAttachmentOptions` (array)
    Array of enum strings (see [Attachment.attachmentType](/api/smartsheet/openapi/attachments) indicating the allowable attachment options for the current user and report.

  - `reports.ganttEnabled` (boolean)
    Indicates whether "Gantt View" is enabled.

  - `reports.cellImageUploadEnabled` (boolean)
    If true,images can be uploaded to the report's cells.

  - `reports.workspace` (object)
    The workspace in which the report resides.

  - `reports.workspace.id` (number)
    Workspace ID.

  - `reports.workspace.name` (string)
    Workspace name.

  - `reports.permalink` (string)
    URL that represents a direct link to this item in Smartsheet.

  - `reports.createdAt` (any)

  - `reports.modifiedAt` (any)

  - `reports.columns` (array) — one of:
    - Regular report column:
      - `title` (string, required)
        Title of a column to match.

Note: If you specified primary=true to match primary columns, you can set the resulting report column title to this value.
      - `type` (string, required)
        Type of column to match. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "CHECKBOX", "DATE", "DATETIME", "DURATION", "CONTACT_LIST", "MULTI_CONTACT_LIST", "PICKLIST", "MULTI_PICKLIST", "PREDECESSOR", "TEXT_NUMBER"
      - `systemColumnType` (string)
        System column type to match. See [System Columns](/api/smartsheet/openapi/columns).
        Enum: "CREATED_BY", "CREATED_DATE", "MODIFIED_BY", "MODIFIED_DATE", "AUTO_NUMBER"
      - `sheetNameColumn` (boolean)
        Set this to true to match the special "Sheet Name" report column.
      - `primary` (boolean)
        Set this to true to match the primary column.
      - `virtualId` (integer)
        The virtual ID of this report column.
      - `index` (integer, required)
        Column index or position. This number is zero-based. Indicates the position of the column in the generated report.
      - `hidden` (boolean)
        Indicates whether the column is hidden.
      - `version` (integer)
        * 0: CONTACT_LIST, PICKLIST, or TEXT_NUMBER.
* 1: MULTI_CONTACT_LIST.
* 2: MULTI_PICKLIST.
        Enum: 0, 1, 2
      - `width` (integer)
        Display width of the column in pixels.
      - `validation` (boolean)
        Indicates whether validation has been enabled for the column (value = true).
      - `autoNumberFormat` (object)
        Specifies how to format values for an auto-generated numbers column.
        Example: {"fill":"","prefix":"","startingNumber":1,"suffix":""}
      - `autoNumberFormat.fill` (string)
        Indicates zero-padding. It must be between 0 and 10 "0" (zero) characters.
      - `autoNumberFormat.prefix` (string)
        The prefix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `autoNumberFormat.startingNumber` (number)
        The starting number for the auto-ID.
        Example: 1
      - `autoNumberFormat.suffix` (string)
        The suffix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
    - System report column:
      - `title` (string, required)
        Title of a column to match.

Note: If you specified primary=true to match primary columns, you can set the resulting report column title to this value.
      - `type` (string, required)
        Type of column to match. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Regular report column" (10 values)
      - `systemColumnType` (string, required)
        System column type to match. See [System Columns](/api/smartsheet/openapi/columns).
        Enum: same as `systemColumnType` in "Regular report column" (5 values)
      - `sheetNameColumn` (boolean)
        Set this to true to match the special "Sheet Name" report column.
      - `primary` (boolean)
        Set this to true to match the primary column.
      - `virtualId` (integer)
        The virtual ID of this report column.
      - `index` (integer, required)
        Column index or position. This number is zero-based. Indicates the position of the column in the generated report.
      - `hidden` (boolean)
        Indicates whether the column is hidden.
      - `version` (integer)
        * 0: CONTACT_LIST, PICKLIST, or TEXT_NUMBER.
* 1: MULTI_CONTACT_LIST.
* 2: MULTI_PICKLIST.
        Enum: same as `version` in "Regular report column" (3 values)
      - `width` (integer)
        Display width of the column in pixels.
      - `validation` (boolean)
        Indicates whether validation has been enabled for the column (value = true).
      - `autoNumberFormat` (object)
        Specifies how to format values for an auto-generated numbers column.
        Example: {"fill":"","prefix":"","startingNumber":1,"suffix":""}
      - `autoNumberFormat.fill` (string)
        Indicates zero-padding. It must be between 0 and 10 "0" (zero) characters.
      - `autoNumberFormat.prefix` (string)
        The prefix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `autoNumberFormat.startingNumber` (number)
        The starting number for the auto-ID.
        Example: 1
      - `autoNumberFormat.suffix` (string)
        The suffix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
    - Primary report column:
      - `title` (string, required)
        Title of a column to match.

Note: If you specified primary=true to match primary columns, you can set the resulting report column title to this value.
      - `type` (string, required)
        Type of column to match. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Regular report column" (10 values)
      - `systemColumnType` (string)
        System column type to match. See [System Columns](/api/smartsheet/openapi/columns).
        Enum: same as `systemColumnType` in "Regular report column" (5 values)
      - `sheetNameColumn` (boolean)
        Set this to true to match the special "Sheet Name" report column.
      - `primary` (boolean, required)
        Set this to true to match the primary column.
      - `virtualId` (integer)
        The virtual ID of this report column.
      - `index` (integer, required)
        Column index or position. This number is zero-based. Indicates the position of the column in the generated report.
      - `hidden` (boolean)
        Indicates whether the column is hidden.
      - `version` (integer)
        * 0: CONTACT_LIST, PICKLIST, or TEXT_NUMBER.
* 1: MULTI_CONTACT_LIST.
* 2: MULTI_PICKLIST.
        Enum: same as `version` in "Regular report column" (3 values)
      - `width` (integer)
        Display width of the column in pixels.
      - `validation` (boolean)
        Indicates whether validation has been enabled for the column (value = true).
      - `autoNumberFormat` (object)
        Specifies how to format values for an auto-generated numbers column.
        Example: {"fill":"","prefix":"","startingNumber":1,"suffix":""}
      - `autoNumberFormat.fill` (string)
        Indicates zero-padding. It must be between 0 and 10 "0" (zero) characters.
      - `autoNumberFormat.prefix` (string)
        The prefix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `autoNumberFormat.startingNumber` (number)
        The starting number for the auto-ID.
        Example: 1
      - `autoNumberFormat.suffix` (string)
        The suffix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
    - Sheet name report column:
      - `title` (string, required)
        Title of a column to match.

Note: If you specified primary=true to match primary columns, you can set the resulting report column title to this value.
      - `type` (string, required)
        Type of column to match. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Regular report column" (10 values)
      - `systemColumnType` (string)
        System column type to match. See [System Columns](/api/smartsheet/openapi/columns).
        Enum: same as `systemColumnType` in "Regular report column" (5 values)
      - `sheetNameColumn` (boolean, required)
        Set this to true to match the special "Sheet Name" report column.
      - `primary` (boolean)
        Set this to true to match the primary column.
      - `virtualId` (integer)
        The virtual ID of this report column.
      - `index` (integer, required)
        Column index or position. This number is zero-based. Indicates the position of the column in the generated report.
      - `hidden` (boolean)
        Indicates whether the column is hidden.
      - `version` (integer)
        * 0: CONTACT_LIST, PICKLIST, or TEXT_NUMBER.
* 1: MULTI_CONTACT_LIST.
* 2: MULTI_PICKLIST.
        Enum: same as `version` in "Regular report column" (3 values)
      - `width` (integer)
        Display width of the column in pixels.
      - `validation` (boolean)
        Indicates whether validation has been enabled for the column (value = true).
      - `autoNumberFormat` (object)
        Specifies how to format values for an auto-generated numbers column.
        Example: {"fill":"","prefix":"","startingNumber":1,"suffix":""}
      - `autoNumberFormat.fill` (string)
        Indicates zero-padding. It must be between 0 and 10 "0" (zero) characters.
      - `autoNumberFormat.prefix` (string)
        The prefix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `autoNumberFormat.startingNumber` (number)
        The starting number for the auto-ID.
        Example: 1
      - `autoNumberFormat.suffix` (string)
        The suffix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}

  - `reports.rows` (array)

  - `reports.rows.id` (number)
    Row ID.

  - `reports.rows.sheetId` (number)
    The ID of the sheet from which the row originates.

  - `reports.rows.rowNumber` (integer)
    Row number within the report.

  - `reports.rows.siblingId` (number)
    Sibling ID.

  - `reports.rows.locked` (boolean)
    Indicates whether the row is locked.

  - `reports.rows.lockedForUser` (boolean)
    Indicates whether the row is locked for the requesting user.

  - `reports.rows.expanded` (boolean)
    Indicates whether the row is expanded or collapsed.

  - `reports.rows.accessLevel` (string)
    Enum: same as `reports.accessLevel` (6 values)

  - `reports.rows.createdAt` (any)

  - `reports.rows.modifiedAt` (any)

  - `reports.rows.dataModifiedAt` (any)

  - `reports.rows.cells` (array)
    Cells belonging to the row.

  - `reports.rows.cells.columnId` (number)
    The ID of the column that the cell is located in.

  - `reports.rows.cells.virtualColumnId` (number)
    This property refers to the cell's parent column in the report, while the columnId property refers to the cell's parent column in its originating source sheet.

  - `reports.rows.cells.value` (any)
    A string, number, or a Boolean value -- depending on the cell type and the data in the cell. Cell values larger than 4000 characters are silently truncated. An empty cell returns no value.

  - `reports.rows.cells.displayValue` (string)
    Visual representation of cell contents, as presented to the user in the UI.

  - `reports.rows.proof` (object)
    Object containing zero or more media items, including images, videos, and documents, for review, editing, or approval.

  - `reports.rows.proof.id` (number)
    Proof ID of the proof version.

  - `reports.rows.proof.originalId` (number)
    Proof ID of the original proof version.

  - `reports.rows.proof.name` (string)
    Proof name. This is the same as primary column value. If the primary column value is empty, name is empty.

  - `reports.rows.proof.type` (string)
    File type for the proof version.
    Enum: "DOCUMENT", "IMAGE", "MIXED", "NONE", "VIDEO"

  - `reports.rows.proof.documentType` (string)
    If type=DOCUMENT, then this indicates the type of file, such as PDF.

  - `reports.rows.proof.proofRequestUrl` (string)
    URL to review a proofing request.

  - `reports.rows.proof.version` (number)
    The version number of the proof.

  - `reports.rows.proof.lastUpdatedAt` (any)

  - `reports.rows.proof.lastUpdatedBy` (object)
    User object containing name and email of the user who last updated the proof.

  - `reports.rows.proof.lastUpdatedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `reports.rows.proof.lastUpdatedBy.name` (string)
    Example: "Jane Doe"

  - `reports.rows.proof.isCompleted` (boolean)
    Indicates whether the proof is completed.

  - `reports.rows.proof.attachments` (array)
    Array of Attachment objects. Only returned if the include query string parameter contains attachments.

  - `reports.rows.proof.attachments.id` (number)
    Attachment ID.

  - `reports.rows.proof.attachments.parentId` (number)
    The ID of the parent.

  - `reports.rows.proof.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `reports.rows.proof.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `reports.rows.proof.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `reports.rows.proof.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `reports.rows.proof.attachments.createdAt` (any)

  - `reports.rows.proof.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `reports.rows.proof.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `reports.rows.proof.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `reports.rows.proof.attachments.name` (string)
    Attachment name.

  - `reports.rows.proof.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `reports.rows.proof.attachments.url` (string)
    Attachment temporary URL (files only).

  - `reports.rows.proof.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `reports.rows.proof.discussions` (array)
    Array of Discussion objects. Only returned if the include query string parameter contains discussions.

  - `reports.rows.proof.discussions.accessLevel` (string)
    Enum: same as `reports.accessLevel` (6 values)

  - `reports.rows.proof.discussions.id` (number)
    Discussion ID.

  - `reports.rows.proof.discussions.comments` (array)
    Array of comments in discussion. Only returned if the include query string parameter contains comments.

  - `reports.rows.proof.discussions.commentAttachments` (array)
    Array of attachments on discussion comments. Only returned if the include query string parameter contains attachments.

  - `reports.rows.proof.discussions.commentCount` (number)
    Number of comments in the discussion.

  - `reports.rows.proof.discussions.createdBy` (object)
    User object containing name and email of the user who created the discussion.

  - `reports.rows.proof.discussions.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `reports.rows.proof.discussions.createdBy.name` (string)
    Example: "Jane Doe"

  - `reports.rows.proof.discussions.lastCommentedAt` (any)

  - `reports.rows.proof.discussions.lastCommentedUser` (object)
    User object containing name and email of the user who last commented on the discussion.

  - `reports.rows.proof.discussions.lastCommentedUser.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `reports.rows.proof.discussions.lastCommentedUser.name` (string)
    Example: "Jane Doe"

  - `reports.rows.proof.discussions.parentId` (number)
    The ID of the associated row or sheet.

  - `reports.rows.proof.discussions.parentType` (string)
    Type of parent object.
    Enum: "ROW", "SHEET"

  - `reports.rows.proof.discussions.readOnly` (boolean)
    Indicates whether the user can modify the discussion.

  - `reports.rows.proof.discussions.title` (string)
    Title automatically created by duplicating the first 100 characters of top-level comment.

  - `reports.isSummaryReport` (boolean)
    If true, this is a sheet summary report; otherwise, it's a row report.

  - `sheets` (array)

  - `sheets.id` (number)
    Sheet ID.

  - `sheets.fromId` (number)
    The ID of the template from which to create the sheet. This attribute can be specified in a request, but is never present in a response.

  - `sheets.ownerId` (number)
    User ID of the sheet owner.

  - `sheets.accessLevel` (string)
    Enum: same as `reports.accessLevel` (6 values)

  - `sheets.attachments` (array)
    Array of Attachment objects.

Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains attachments.

  - `sheets.cellImageUploadEnabled` (boolean)
    The sheet is enabled for cell images to be uploaded.

  - `sheets.columns` (array) — one of:
    - Text/number column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =[Column A]@row + [Column B]@row
      - `primary` (boolean)
        If set to true, the column is the sheet's Primary Column. This property is returned only if the property is set to true.
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.
        Enum: "GANTT_DISPLAY_LABEL"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "TEXT_NUMBER"
      - `validation` (boolean, required)
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: 0
    - Auto number column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `autoNumberFormat` (object, required)
        Specifies how to format values for an auto-generated numbers column.
        Example: {"fill":"","prefix":"","startingNumber":1,"suffix":""}
      - `autoNumberFormat.fill` (string)
        Indicates zero-padding. It must be between 0 and 10 "0" (zero) characters.
      - `autoNumberFormat.prefix` (string)
        The prefix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `autoNumberFormat.startingNumber` (number)
        The starting number for the auto-ID.
        Example: 1
      - `autoNumberFormat.suffix` (string)
        The suffix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `systemColumnType` (string, required)
        If this property is set, the column contains auto-generated numbers. Its [Auto-number format object](/api/smartsheet/openapi/schemas/autonumberformat) describes the mask used to generate column values.
        Enum: "AUTO_NUMBER"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Checkbox column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: "=ISODD([ID]@row)"
      - `symbol` (string)
        A checkbox column can use box (default), flag, or star symbols. See [Symbol Columns](/api/smartsheet/openapi/columns).

If the box symbol is used, the symbol property is absent.
        Enum: "FLAG", "STAR"
      - `tags` (array)
        If present, true cell values indicate completed tasks. This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: "CARD_DONE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "CHECKBOX"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Contact list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `contactOptions` (array)
        Array of ContactOption objects to specify a pre-defined list of values for the column.
        Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
      - `contactOptions.email` (string)
        A parsable email address.
      - `contactOptions.name` (string)
        Can be a user's name, display name, or free text.
      - `formula` (string)
        The formula for the column, if set.

For example: =IF(Department@row = "Engineering", "jane.doe@company.com", IF(Department@row = "Marketing", "john.smith@company.com", "admin@company.com"))
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "CONTACT_LIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Created by column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The contact represents the user who created the row.
        Enum: "CREATED_BY"
      - `type` (string, required)
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Created date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The system row creation datetime type.
        Enum: "CREATED_DATE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "DATETIME"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =TODAY(-1)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "DATE"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Abstract datetime column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =TODAY(-1)
      - `tags` (array)
        This property is only present for dependency-enabled project sheets. It indicates what the date represents in terms of the dependency-enabled project.
        Enum: "GANTT_START_DATE", "GANTT_END_DATE", "BASELINE_START_DATE", "BASELINE_END_DATE", "CALENDAR_START_DATE", "CALENDAR_END_DATE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "ABSTRACT_DATETIME"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Dropdown list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
      - `options` (array, required)
        An array of the options available to use in the column.
        Example: ["Option 1","Option 2","Option n"]
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "PICKLIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Duration column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present in dependency-enabled project sheets. It indicates what the duration represents in terms of the dependency-enabled project.
        Enum: "GANTT_DURATION", "BASELINE_VARIANCE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "DURATION"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Modified by column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        If specified, the contact represents the user who created the row or last modified it.
        Enum: "MODIFIED_BY"
      - `type` (string, required)
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Modified date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The system row modification datetime type.
        Enum: "MODIFIED_DATE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Created date column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Multi-contact list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `contactOptions` (array)
        Array of ContactOption objects to specify a pre-defined list of values for the column.
        Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
      - `contactOptions.email` (string)
        A parsable email address.
      - `contactOptions.name` (string)
        Can be a user's name, display name, or free text.
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "MULTI_CONTACT_LIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: 1
    - Multi-dropdown list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches a combination of the symbol options exactly, and include new line separators between multiple values.

For example: =JOIN(Range1@row:Range3@row, CHAR(10))

Important: To match multiple symbol option values, the return string must use a new line separator (that is, CHAR(10)) between symbol option values.
      - `options` (array, required)
        An array of the options available to use in the column. A cell value in this column can contain any number of these options.
        Example: ["Option 1","Option 2","Option n"]
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "MULTI_PICKLIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: 2
    - Percent complete column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: "GANTT_PERCENT_COMPLETE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Predecessor column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        Enum: "GANTT_PREDECESSOR"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "PREDECESSOR"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Assigned resource contact column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `options` (array, required)
        An array of contacts available to use in the column. A cell value in this column can contain one contact.
        Example: ["jane.doe@smartsheet.com","firstname.lastname@smartsheet.com"]
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.
        Enum: "GANTT_ASSIGNED_RESOURCE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Assigned resource text column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `primary` (boolean)
        Returned only if the column is the Primary Column (value = true).
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.
        Enum: same as `tags` in "Assigned resource contact column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Percent allocation column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: "GANTT_ALLOCATION"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Symbol column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
      - `options` (array, required)
        An array of the options available to use in the column.

Note: All applicable options values are set automatically when you specify the symbol.

Important: You can't specify or update options at the same time you're specifying symbol. So leave it unspecified when you're creating a column or updating its symbol. If needed, you can update options in a separate call.
        Example: []
      - `symbol` (string)
        Specifies any type of symbol the column uses. For details and examples, see [Symbol Columns](/api/smartsheet/openapi/columns).
        Enum: "FLAG", "STAR", "HARVEY_BALLS", "PRIORITY", "RYG", "PRIORITY_HML", "DECISION_SYMBOLS", "DECISION_SHAPES", "VCR", "RYGB", "RYGG", "WEATHER", "PROGRESS", "ARROWS_3_WAY", "ARROWS_4_WAY", "ARROWS_5_WAY", "DIRECTIONS_3_WAY", "DIRECTIONS_4_WAY", "SKI", "SIGNAL", "STAR_RATING", "HEARTS", "MONEY", "EFFORT", "PAIN"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Dropdown list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)

  - `sheets.createdAt` (any)

  - `sheets.crossSheetReferences` (array)
    Array of CrossSheetReference objects.

Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains crossSheetReferences.

  - `sheets.crossSheetReferences.endColumnId` (number)
    Defines ending edge of range when specifying one or more columns. To specify an entire column, omit the startRowId and endRowId parameters.

  - `sheets.crossSheetReferences.endRowId` (number)
    Defines ending edge of range when specifying one or more rows. To specify an entire row, omit the startColumnId and endColumnId parameters.

  - `sheets.crossSheetReferences.id` (number)
    Cross-sheet reference ID, guaranteed unique within referencing sheet.

  - `sheets.crossSheetReferences.name` (string)
    Friendly name of reference. Auto-generated unless specified in Create Cross-sheet References.

  - `sheets.crossSheetReferences.startColumnId` (number)
    Defines beginning edge of range when specifying one or more columns. To specify an entire column, omit the startRowId and endRowId parameters.

  - `sheets.crossSheetReferences.startRowId` (number)
    Defines beginning edge of range when specifying one or more rows. To specify an entire row, omit the startColumnId and endColumnId parameters.

  - `sheets.crossSheetReferences.status` (string)
    Status of request:
 * 'BLOCKED' - A reference is downstream of a circular issue.
 * 'BROKEN' - The data source location (column, row or sheet) was deleted.
 * 'CIRCULAR' - The formula reference is self referencing and cannot be resolved.
 * 'DISABLED' - Updating the reference is temporarily disabled due to maintenance.
 * 'INVALID/UNKNOWN' - The reference is new and had not been validated.
 * 'NOT_SHARED' - No common shared users.
 * 'OK' - The reference is in a good state.
    Enum: "BLOCKED", "BROKEN", "CIRCULAR", "DISABLED", "INVALID/UNKNOWN", "NOT-SHARED", "OK"

  - `sheets.crossSheetReferences.sourceSheetId` (number)
    Sheet ID of source sheet.

  - `sheets.dataClassification` (string)
    The name of the data classification label currently applied to the sheet, as published in Admin Center for the sheet's plan. Only returned if data classification is enabled for the sheet's plan.

  - `sheets.dependenciesEnabled` (boolean)
    Indicates whether dependencies are enabled.

  - `sheets.discussions` (array)
    Array of Discussion objects

Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains discussions.

  - `sheets.effectiveAttachmentOptions` (array)
    Array of enum strings (see [Attachment.attachmentType](/api/smartsheet/openapi/attachments) indicating the allowable attachment options for the current user and sheet.

  - `sheets.ganttEnabled` (boolean)
    Indicates whether "Gantt View" is enabled.

  - `sheets.hasSummaryFields` (boolean)
    Indicates whether a sheet summary is present.

  - `sheets.isMultiPicklistEnabled` (boolean)
    Indicates whether multi-select is enabled.

  - `sheets.modifiedAt` (any)

  - `sheets.name` (string)
    Sheet name.

  - `sheets.owner` (string)
    Email address of the sheet owner.

  - `sheets.permalink` (string)
    URL that represents a direct link to the sheet in Smartsheet.

  - `sheets.projectSettings` (object)
    Represents the project settings dependencies for a specific sheet. Project settings may be updated on sheets that the user has editor access.

  - `sheets.projectSettings.lengthOfDay` (number)
    Length of a workday for a project sheet.

  - `sheets.projectSettings.nonWorkingDays` (array)
    Non-working days for a project sheet.

  - `sheets.projectSettings.workingDays` (array)
    Enum: "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY"

  - `sheets.readOnly` (boolean)
    Returned only if the sheet belongs to an expired trial (value = true).

  - `sheets.resourceManagementEnabled` (boolean)
    Indicates that resource management is enabled.

  - `sheets.resourceManagementType` (string)
    Resource Management type. Indicates the type of RM that is enabled.
    Enum: "NONE", "LEGACY_RESOURCE_MANAGEMENT", "RESOURCE_MANAGEMENT_BY_SMARTSHEET"

  - `sheets.rows` (array)

  - `sheets.rows.id` (number)
    Row ID.

  - `sheets.rows.siblingId` (number)
    Identifies the row immediately above this row, if one exists.

If you use this property as the only location specifier in a write operation, this row is placed immediately below the siblingId row. If you include this property and an above property in a write operation, this row is placed immediately above the siblingId row. 

Note: In add/update row operations, siblingId can't be used with parentId.

  - `sheets.rows.parentId` (number)
    Identifies a row that is the hierarchical parent of this row, if one exists.

If you use this property as the only location specifier in a write operation, this row becomes the child row immediately below the parentId row. If you include this property and a toBottom property in a write operation, this row becomes the last child below the parentId row.

Note: In add/update row operations, siblingId can't be used with parentId.

  - `sheets.rows.attachments` (array)
    Attachments on row. Only returned if the include query string parameter contains attachments.

  - `sheets.rows.cells` (array)
    Cells belonging to the row.

  - `sheets.rows.cells.columnId` (number)
    The ID of the column that the cell is located in.

  - `sheets.rows.cells.columnType` (string)
    Only returned if the include query string parameter contains columnType.

  - `sheets.rows.cells.conditionalFormat` (string)
    The format descriptor describing this cell's conditional format. Only returned if the include query string parameter contains format and this cell has a conditional format applied.

Refer to [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting), for format descriptor details.

  - `sheets.rows.cells.displayValue` (string)
    Visual representation of cell contents, as presented to the user in the UI.

  - `sheets.rows.cells.format` (string)
    The format descriptor. Only returned if the include query string parameter contains format and this cell has a non-default format applied.

Refer to [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting), for format descriptor details.

  - `sheets.rows.cells.formula` (string)
    The formula for a cell, if set, for instance =COUNTM([Assigned To]3). 

Note that calculation errors or problems with a formula do not cause the API call to return an error code. Instead, the response contains the same value as in the UI, such as cell.value = "#CIRCULAR REFERENCE".

  - `sheets.rows.cells.hyperlink` (object)

  - `sheets.rows.cells.hyperlink.reportId` (number)
    If non-null, this hyperlink is a link to the report with this ID.

  - `sheets.rows.cells.hyperlink.sheetId` (number)
    If non-null, this hyperlink is a link to the sheet with this ID.

  - `sheets.rows.cells.hyperlink.sightId` (number)
    If non-null, this hyperlink is a link to the dashboard with this ID.

  - `sheets.rows.cells.hyperlink.url` (string)
    When the hyperlink is a URL link, this property contains the URL value.

When the hyperlink is a dashboard/report/sheet link (that is, dashboardId, reportId, or sheetId is non-null), this property contains the permalink to the dashboard, report, or sheet.

  - `sheets.rows.cells.image` (object)

  - `sheets.rows.cells.image.altText` (string)
    Alternate text for the image.

  - `sheets.rows.cells.image.height` (number)
    Original height (in pixels) of the uploaded image.

  - `sheets.rows.cells.image.id` (string)
    Image ID.

  - `sheets.rows.cells.image.width` (number)
    Original width (in pixels) of the uploaded image.

  - `sheets.rows.cells.linkInFromCell` (object)

  - `sheets.rows.cells.linkInFromCell.columnId` (number)
    Column ID of the linked cell.

  - `sheets.rows.cells.linkInFromCell.rowId` (number)
    Row ID of the linked cell.

  - `sheets.rows.cells.linkInFromCell.sheetId` (number)
    Sheet ID of the sheet that the linked cell belongs to.

  - `sheets.rows.cells.linkInFromCell.sheetName` (string)
    Sheet name of the linked cell.

  - `sheets.rows.cells.linkInFromCell.status` (string)
    * BLOCKED One of several other values indicating unusual error conditions.
* BROKEN The row or sheet linked to was deleted.
* CIRCULAR One of several other values indicating unusual error conditions.
* DISABLED One of several other values indicating unusual error conditions.
* INACCESSIBLE The sheet linked to cannot be viewed by this user.
* INVALID One of several other values indicating unusual error conditions.
* NOT_SHARED One of several other values indicating unusual error conditions.
* OK The link is in a good state.
    Enum: "BLOCKED", "BROKEN", "CIRCULAR", "DISABLED", "INACCESSIBLE", "INVALID", "NOT_SHARED", "OK"

  - `sheets.rows.cells.linksOutToCells` (array)

  - `sheets.rows.cells.objectValue` (any) — one of:
    - Abstract datetime object value:
      - `objectType` (string)
        Enum: same as `type` in "Abstract datetime column" (1 values)
      - `value` (string)
        Datetime, in the date-time format defined by RFC 3339, section 5.6
    - Contact object value:
      - `objectType` (string)
        Enum: "CONTACT"
      - `email` (string)
        Email address of the Contact
        Example: "john.doe@acme.com"
      - `name` (string)
        Name of the Contact
        Example: "John Doe"
      - `imageId` (string)
        ID of an image associated with the Contact
        Example: "1234!_qwer!_5667zxcvQWER!_ASDF"
      - `emailId` (string)
        ID of the email address
        Example: "23456789"
      - `userId` (string)
        User ID of the contact
        Example: "12345678"
      - `lookUpName` (boolean)
        Whether or not to look up the contact's name based on their email address.
        Example: true
    - Date object value:
      - `objectType` (string)
        Enum: same as `type` in "Date column" (1 values)
      - `value` (string)
        Date in the full-date format defined by RFC 3339, section 5.6.

If you want to make the cell empty, set objectValue to null rather than objectValue.value; setting objectValue.value to null results in an error.
    - Datetime object value:
      - `objectType` (string)
        Enum: same as `type` in "Created date column" (1 values)
      - `value` (string)
        Datetime, in the date-time format defined by RFC 3339, section 5.6.

If you want to make the cell empty, set objectValue to null rather than objectValue.value; setting objectValue.value to null results in an error.
    - Duration object value:
      - `objectType` (string)
        Enum: same as `type` in "Duration column" (1 values)
      - `days` (number)
        Number of days
    - Multi-contact object value:
      - `objectType` (string)
        Enum: "MULTI_CONTACT"
      - `values` (array)
        List of contacts.

If you want to make the cell empty, set objectValue to null rather than objectValue.values; setting objectValue.values to null results in an error.
    - Multi-picklist object value:
      - `objectType` (string)
        Enum: same as `type` in "Multi-dropdown list column" (1 values)
      - `values` (array)
        List of strings to choose from.

If you want to make the cell empty, set objectValue to null rather than objectValue.values; setting objectValue.values to null results in an error.
    - Predecessor list object value:
      - `objectType` (string)
        Enum: "PREDECESSOR_LIST"
      - `predecessors` (array)
        List of references to rows on which the current row depends
        Example: [{"rowId":1234567890123456,"rowNumber":2,"type":"FS","inCriticalPath":true}]

  - `sheets.rows.cells.value` (any)
    A string, number, or a Boolean value -- depending on the cell type and the data in the cell. Cell values larger than 4000 characters are silently truncated. An empty cell returns no value.

  - `sheets.rows.columns` (array) — one of:
    Columns of row. Only returned if the include query string parameter contains columns.
    - Text/number column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =[Column A]@row + [Column B]@row
      - `primary` (boolean)
        If set to true, the column is the sheet's Primary Column. This property is returned only if the property is set to true.
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.
        Enum: same as `tags` in "Text/number column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Auto number column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `autoNumberFormat` (object, required)
        Specifies how to format values for an auto-generated numbers column.
        Example: {"fill":"","prefix":"","startingNumber":1,"suffix":""}
      - `autoNumberFormat.fill` (string)
        Indicates zero-padding. It must be between 0 and 10 "0" (zero) characters.
      - `autoNumberFormat.prefix` (string)
        The prefix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `autoNumberFormat.startingNumber` (number)
        The starting number for the auto-ID.
        Example: 1
      - `autoNumberFormat.suffix` (string)
        The suffix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `systemColumnType` (string, required)
        If this property is set, the column contains auto-generated numbers. Its [Auto-number format object](/api/smartsheet/openapi/schemas/autonumberformat) describes the mask used to generate column values.
        Enum: same as `systemColumnType` in "Auto number column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Checkbox column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: "=ISODD([ID]@row)"
      - `symbol` (string)
        A checkbox column can use box (default), flag, or star symbols. See [Symbol Columns](/api/smartsheet/openapi/columns).

If the box symbol is used, the symbol property is absent.
        Enum: same as `symbol` in "Checkbox column" (2 values)
      - `tags` (array)
        If present, true cell values indicate completed tasks. This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: same as `tags` in "Checkbox column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Checkbox column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Contact list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `contactOptions` (array)
        Array of ContactOption objects to specify a pre-defined list of values for the column.
        Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
      - `contactOptions.email` (string)
        A parsable email address.
      - `contactOptions.name` (string)
        Can be a user's name, display name, or free text.
      - `formula` (string)
        The formula for the column, if set.

For example: =IF(Department@row = "Engineering", "jane.doe@company.com", IF(Department@row = "Marketing", "john.smith@company.com", "admin@company.com"))
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Created by column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The contact represents the user who created the row.
        Enum: same as `systemColumnType` in "Created by column" (1 values)
      - `type` (string, required)
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Created date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The system row creation datetime type.
        Enum: same as `systemColumnType` in "Created date column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Created date column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =TODAY(-1)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Date column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Abstract datetime column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =TODAY(-1)
      - `tags` (array)
        This property is only present for dependency-enabled project sheets. It indicates what the date represents in terms of the dependency-enabled project.
        Enum: same as `tags` in "Abstract datetime column" (6 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Abstract datetime column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Dropdown list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
      - `options` (array, required)
        An array of the options available to use in the column.
        Example: ["Option 1","Option 2","Option n"]
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Dropdown list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Duration column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present in dependency-enabled project sheets. It indicates what the duration represents in terms of the dependency-enabled project.
        Enum: same as `tags` in "Duration column" (2 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Duration column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Modified by column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        If specified, the contact represents the user who created the row or last modified it.
        Enum: same as `systemColumnType` in "Modified by column" (1 values)
      - `type` (string, required)
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Modified date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The system row modification datetime type.
        Enum: same as `systemColumnType` in "Modified date column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Created date column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Multi-contact list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `contactOptions` (array)
        Array of ContactOption objects to specify a pre-defined list of values for the column.
        Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
      - `contactOptions.email` (string)
        A parsable email address.
      - `contactOptions.name` (string)
        Can be a user's name, display name, or free text.
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Multi-contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Multi-contact list column" (1 values)
    - Multi-dropdown list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches a combination of the symbol options exactly, and include new line separators between multiple values.

For example: =JOIN(Range1@row:Range3@row, CHAR(10))

Important: To match multiple symbol option values, the return string must use a new line separator (that is, CHAR(10)) between symbol option values.
      - `options` (array, required)
        An array of the options available to use in the column. A cell value in this column can contain any number of these options.
        Example: ["Option 1","Option 2","Option n"]
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Multi-dropdown list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Multi-dropdown list column" (1 values)
    - Percent complete column:
      - `description` (string)
        Column description.
      - `format` (string)
[...]
